Skip to content
This repository
Browse code

ENHANCEMENT:Styled the php5 required page and fixed a couple of styli…

…ng issues on the install page in IE.
  • Loading branch information...
commit 875eef9992d893e2fb7845d86aa43236f7f62650 1 parent 95cdfd7
authored
4  dev/install/config-form.html
@@ -126,8 +126,8 @@ <h2 class="sectionHeading"><em class="inlineBarText">Database</em> <span>Step: 2
126 126
 												}
127 127
 											}
128 128
 											echo "<li>";
129  
-											echo "<input id=\"$class\" class=\"databaseClass\" type=\"radio\" name=\"db[type]\" value=\"$class\"$checked $disabled>";
130  
-											echo "<label class=\"left\" ".($help || $disabled ? 'style="font-weight:normal;color:grey" ' : 'style="color:green"')."for=\"$class\">{$details['title']}</label>";
  129
+											echo "<input id=\"$class\" class=\"databaseClass left\" type=\"radio\" name=\"db[type]\" value=\"$class\"$checked $disabled>";
  130
+											echo "<label ".($help || $disabled ? 'style="font-weight:normal;color:grey;margin-left:15px" ' : 'style="color:green;margin-left:15px"')."for=\"$class\">{$details['title']}</label>";
131 131
 											if ($help) {
132 132
 												echo '<div class="error databaseError">'.$help.'</div>';
133 133
 											}
8  dev/install/install.css
@@ -118,6 +118,10 @@ input.text, textarea, select {
118 118
 		color: #888;
119 119
 	}
120 120
 
  121
+	.main h2.no-line {
  122
+		border-top:none;
  123
+	}
  124
+
121 125
 /**
122 126
  * Requirements and test results
123 127
  * ------------------------------------------------ */
@@ -265,6 +269,10 @@ h5.requirement {
265 269
 			background:#ededed;
266 270
 		}
267 271
 
  272
+		#database_selection li .databaseClass {
  273
+			background:none;
  274
+		}
  275
+
268 276
 		#database_selection li input:focus{
269 277
 			outline:none; background-color:#fff;
270 278
 		}
59  dev/install/php5-required.html
... ...
@@ -1,40 +1,45 @@
1 1
 <html>
2 2
 	<head>
3 3
 		<title>PHP 5 is required</title>
4  
-		<link rel="stylesheet" type="text/css" href="themes/blackcandy/css/layout.css" />
5  
-		<link rel="stylesheet" type="text/css" href="themes/blackcandy/css/typography.css" />
6  
-		<link rel="stylesheet" type="text/css" href="themes/blackcandy/css/form.css" />
  4
+		<base href="../../../"/>
  5
+		<link rel="stylesheet" type="text/css" href="themes/simple/css/layout.css" />
  6
+		<link rel="stylesheet" type="text/css" href="themes/simple/css/typography.css" />
  7
+		<link rel="stylesheet" type="text/css" href="themes/simple/css/form.css" />
7 8
 		<link rel="stylesheet" type="text/css" href="sapphire/dev/install/install.css" />
8 9
 	</head>
9  
-	<body>
10  
-		<div id="BgContainer">
11  
-			<div id="Container">
12  
-				<div id="Header">
13  
-					<h1>SilverStripe CMS Installation</h1>
14  
-
15  
-				</div>
16  
-				
17  
-				<div id="Navigation">&nbsp;</div>
18  
-				<div class="clear"><!-- --></div>
19  
-				
20  
-				<div id="Layout">
21  
-					<div class="typography">
22  
-						<h1>PHP 5 required</h1>
23  
-						<h2>To run SilverStripe, please install PHP 5.2 or greater.</h2>
  10
+	<body class="page no-sidebar">
  11
+		<div class="header">
  12
+			<div class="inner">
  13
+				<div class="brand">	
  14
+					<h1>SilverStripe</h1>
  15
+				</div>	
  16
+			</div>
  17
+		</div>
  18
+		
  19
+		<div id="Navigation">&nbsp;</div>
  20
+		<div class="clear"><!-- --></div>
24 21
 		
25  
-						<p>We have detected that you are running PHP version <b>$PHPVersion</b>.  In order to run SilverStripe, 
26  
-						you must have PHP version 5.2 or greater, and for best results we recommend PHP 5.3 or greater.</p>
  22
+		<div class="main">
  23
+			<div class="inner">
  24
+				<div class="content-container">
  25
+					<h1>CMS Installation</h1>
  26
+					<h2 class="no-line">PHP 5 required</h2>
  27
+					<h3>To run SilverStripe, please install PHP 5.2 or greater.</h3>
27 28
 
28  
-						<p>If you are running on a shared host, you may need to ask your hosting provider how to do this.</p>
29  
-					</div>
  29
+					<p>We have detected that you are running PHP version <b>$PHPVersion</b>.  In order to run SilverStripe, 
  30
+					you must have PHP version 5.2 or greater, and for best results we recommend PHP 5.3 or greater.</p>
  31
+
  32
+					<p>If you are running on a shared host, you may need to ask your hosting provider how to do this.</p>
30 33
 				</div>
31  
-				<div class="clear"><!-- --></div>
32  
-			</div>
33  
-			
34  
-			<div id="Footer">
  34
+			</div>	
  35
+		</div>
  36
+		<div class="clear"><!-- --></div>
  37
+		
  38
+		<div class="footer">
  39
+			<div class="inner">	
35 40
 				<div class="footerTop"><!-- --></div>
36 41
 				<p><a href="http://silverstripe.org">SilverStripe Open Source CMS</a> | Copyright &copy; 2008 SilverStripe Limited</p>
37  
-			</div>
  42
+			</div>	
38 43
 		</div>
39 44
 	</body>
40 45
 </html>

0 notes on commit 875eef9

Please sign in to comment.
Something went wrong with that request. Please try again.